For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETTrade tape
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceTrades

Trade tape

GET
https://api.prod.paradex.trade/v1/trades
GET
/v1/trades
$curl -X GET https://api.prod.paradex.trade/v1/trades?market=BTC-USD-PERP \
>-H 'Accept: application/json'
1{
2 "next": "eyJmaWx0ZXIiMsIm1hcmtlciI6eyJtYXJrZXIiOiIxNjc1NjUwMDE3NDMxMTAxNjk5N=",
3 "prev": "eyJmaWx0ZXIiOnsiTGltaXQiOjkwfSwidGltZSI6MTY4MTY3OTgzNzk3MTMwOTk1MywibWFya2VyIjp7Im1zMjExMD==",
4 "results": [
5 {
6 "created_at": 1681497002041,
7 "id": "12345643",
8 "market": "BTC-USD-PERP",
9 "price": "30001.2",
10 "side": "BUY",
11 "size": "0.01",
12 "trade_type": "FILL"
13 }
14 ]
15}
Returns a paginated list of trades that have occurred on the exchange. Default page size is 100, maximum is 1000. The `side` field in the response indicates the taker side of the trade. ### Example ```http GET /trades?market=BTC-USD-PERP&page_size=100 ``` This endpoint supports cursor-based pagination for efficiently traversing large result sets.
Was this page helpful?
Previous

List account's transfers, i.e. deposits and withdrawals

Next
Built with

Returns a paginated list of trades that have occurred on the exchange. Default page size is 100, maximum is 1000.

The side field in the response indicates the taker side of the trade.

Example

1GET /trades?market=BTC-USD-PERP&page_size=100

This endpoint supports cursor-based pagination for efficiently traversing large result sets.

Query parameters

baseAssetstringOptional

Base asset symbol; returns trades across all active options (OPTION and PERP_OPTION) for this base asset. Mutually exclusive with market.

cursorstringOptional

Returns the ‘next’ paginated page.

end_atintegerOptional

End Time (unix time millisecond)

marketstringOptional

Market name. Mutually exclusive with base_asset.

page_sizeintegerOptional1-1000Defaults to 100
Limit the number of responses in the page
start_atintegerOptional

Start Time (unix time millisecond)

Response

OK
nextstring

The pointer to fetch next set of records (null if there are no records left)

prevstring

The pointer to fetch previous set of records (null if there are no records left)

resultslist of objects
Array of paginated results

Errors

400
Bad Request Error